net.sf.jasperreports.components.map.fill

## Class FillMarker

- java.lang.Object
- - net.sf.jasperreports.components.map.fill.FillMarker

- All Implemented Interfaces:
    java.lang.Cloneable, Marker, JRCloneable

  Deprecated.
  Replaced by `FillItem`.

      public class FillMarker
      extends java.lang.Object
      implements Marker

  Version:
    $Id: FillMarker.java 6002 2013-03-20 08:15:32Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Marker` | `parent` Deprecated.

    - ### Fields inherited from interface net.sf.jasperreports.components.map.Marker

      `PROPERTY_latitude, PROPERTY_longitude, PROPERTY_title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FillMarker(Marker marker, JRFillObjectFactory factory)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Deprecated.
    `java.util.Map<java.lang.String,java.lang.Object>` | `evaluateProperties(JRFillExpressionEvaluator evaluator, byte evaluation)` Deprecated.
    `java.lang.Object` | `getEvaluatedValue(MarkerProperty property, JRFillExpressionEvaluator evaluator, byte evaluation)` Deprecated.
    `java.util.List<MarkerProperty>` | `getProperties()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          protected Marker parent

      Deprecated.

  - ### Constructor Detail

    - #### FillMarker

          public FillMarker(Marker marker,
                    JRFillObjectFactory factory)

      Deprecated.

  - ### Method Detail

    - #### evaluateProperties

          public java.util.Map<java.lang.String,java.lang.Object> evaluateProperties(JRFillExpressionEvaluator evaluator,
                                                                            byte evaluation)
                                                                              throws JRException

      Deprecated.
      Throws:
        `JRException`

    - #### clone

          public java.lang.Object clone()

      Deprecated.
      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getProperties

          public java.util.List<MarkerProperty> getProperties()

      Deprecated.
      Specified by:
        `getProperties` in interface `Marker`

    - #### getEvaluatedValue

          public java.lang.Object getEvaluatedValue(MarkerProperty property,
                                           JRFillExpressionEvaluator evaluator,
                                           byte evaluation)
                                             throws JRException

      Deprecated.
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com